<?php
/*
Extension Name: Category Page First
Extension Url: http://lussumo.com/docs/
Description: Makes the category page the default page while allowing the discussions page to still be viewed
Version: 1.0
Author: Chris Vincent
Author Url: http://ourpaintbox.com

If you wouldn't like the discussions page to be viewed at all, just set $SHOW_DISCUSSIONS_PAGE to false

*/

$SHOW_DISCUSSIONS_PAGE = true;

while(list($num, $info) = each($Menu->Tabs)) {
  if($info['Text'] == $Context->Dictionary['Discussions']) {
    $Menu->Tabs[$num]['Url'] .= 'index.php';
	break;  
  }
}

$URI = (substr($_SERVER['REQUEST_URI'], -1) == '/') ? $_SERVER['REQUEST_URI'] : $_SERVER['REQUEST_URI'].'/';
$a = explode('/', $URI);
if($Context->SelfUrl == 'index.php') {
  if($a[count($a)-1] == '' || $SHOW_DISCUSSIONS_PAGE == false) header('Location: categories.php');
}

?>